summaryrefslogtreecommitdiff
authorJacky Liu <qsliu@google.com>2020-06-02 11:29:06 (GMT)
committer Jacky Liu <qsliu@google.com>2020-06-02 11:31:05 (GMT)
commite31eaa0ba92dcc30bc571659fc1b75ea012fa193 (patch)
tree13796a95cb63b0cc8bb5f4afa575dc85584e8891
parent86fe83d11dc2b87302dd276442ab6691955e8120 (diff)
downloadcommon-e31eaa0ba92dcc30bc571659fc1b75ea012fa193.zip
common-e31eaa0ba92dcc30bc571659fc1b75ea012fa193.tar.gz
common-e31eaa0ba92dcc30bc571659fc1b75ea012fa193.tar.bz2
Flash super in flash-all.sh to cover parttion change
Bug: 151121062 Test: Manually Change-Id: I73f5f2868c52d919b0d54556e3ca051d229b4220
Diffstat
-rwxr-xr-xflash-all-dynamic.bat1
-rwxr-xr-xflash-all-dynamic.sh3
2 files changed, 3 insertions, 1 deletions
diff --git a/flash-all-dynamic.bat b/flash-all-dynamic.bat
index e1889f1..f588f12 100755
--- a/flash-all-dynamic.bat
+++ b/flash-all-dynamic.bat
@@ -37,6 +37,7 @@ fastboot flash boot boot.img
fastboot flash recovery recovery.img
fastboot reboot fastboot
ping -n 10 127.0.0.1 >nul
+fastboot flash super super_empty_all.img
fastboot flash odm odm.img
fastboot flash system system.img
fastboot flash vendor vendor.img
diff --git a/flash-all-dynamic.sh b/flash-all-dynamic.sh
index 3559a3e..eeb5988 100755
--- a/flash-all-dynamic.sh
+++ b/flash-all-dynamic.sh
@@ -41,7 +41,7 @@ fi
function flash_with_retry() {
local partition=${1};
local img=${2};
- msg=$(fastboot ${sern} flash ${partition} ${img} 2>&1)
+ msg=$(fastboot ${sern} flash ${partition} ${img} 2>&1 || true)
echo "${msg}"
if [[ ${msg} =~ 'FAILED' ]]; then
echo "\nFlashing ${img} is not done properly. Do it again."
@@ -75,6 +75,7 @@ flash_with_retry recovery recovery.img
fastboot $sern reboot fastboot
sleep 10
+flash_with_retry super super_empty_all.img
flash_with_retry odm odm.img
flash_with_retry system system.img
flash_with_retry vendor vendor.img